View Issue Details

IDProjectCategoryView StatusLast Update
16677Bug reportsImport/Exportpublic2021-04-26 19:03
Reporteroguerrer Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status resolvedResolutionfixed 
Product Version4.3.16 
Summary16677: Group relevance condition dissapears after importing group
DescriptionI am having a problem when I import a group. The .lsg file contains a relevance condition for the group: S01G01Q01.gseq<=S01NQUESTIONS (the question ID is unique across surveys, as well as the S01NQUESTIONS variable). When I import this file into limesurvey, the relevance condition dissipaters. This is problematic because I have to import hundreds of groups with he same structure.

I have been told in the community forum that this is not an issue in LimeSurvey v3, but that it is in v4, and hence was advised to report it as a bug.
Steps To ReproduceImport the .lsg file that I am attaching an you will see that the imported group lacks the relevance condition.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.2.0+200422
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL (provided by Bitnami)
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP-FPM (provided by Bitnami)

Activities

cdorin

cdorin

2020-09-18 15:30

manager   ~59876

Hello - unfortunately, no file was uploaded. Could you please upload the .lsg / .lss file? Also, could you please test with latest release? (4.3.16)
Thanks for help and report!
DenisChenu

DenisChenu

2020-09-21 09:17

developer   ~59892

Last edited: 2021-04-23 15:20

2 lss file : original one + delete group
1 lsg file : deleted group

Import original lss, check
Import delete lss, import lsg : check

PS : CSS class of expression seem invalid.
gabrieljenik

gabrieljenik

2021-04-23 15:20

manager   ~64129

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1854
gabrieljenik

gabrieljenik

2021-04-26 18:36

manager   ~64163

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31638

Related Changesets

LimeSurvey: master 50ae4b8d

2021-04-26 18:33:52

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16677: Group relevance condition dissapears after importing group (#1854)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
16677
mod - application/helpers/admin/import_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-09-18 13:48 oguerrer New Issue
2020-09-18 15:30 cdorin Note Added: 59876
2020-09-18 15:30 cdorin Assigned To => cdorin
2020-09-18 15:30 cdorin Status new => feedback
2020-09-21 09:17 DenisChenu Note Added: 59892
2020-09-21 09:17 DenisChenu File Added: Capture d’écran du 2020-09-21 09-14-50.png
2020-09-21 09:17 DenisChenu File Added: limesurvey_group_condition.lsg
2020-09-21 09:17 DenisChenu File Added: limesurvey_survey_1group-toimport.lss
2020-09-21 09:17 DenisChenu File Added: limesurvey_survey_2groups-origine.lss
2020-09-24 19:09 cdorin Assigned To cdorin => gabrieljenik
2020-09-24 19:09 cdorin Priority none => normal
2020-09-24 19:09 cdorin Status feedback => assigned
2020-09-24 19:09 cdorin Zoho Sprints => |Yes|
2021-04-23 15:20 gabrieljenik Note Added: 64129
2021-04-23 15:20 gabrieljenik Status assigned => testing
2021-04-26 18:36 gabrieljenik Changeset attached => LimeSurvey master 50ae4b8d
2021-04-26 18:36 gabrieljenik Note Added: 64163
2021-04-26 18:36 gabrieljenik Resolution open => fixed
2021-04-26 19:03 ollehar Status testing => resolved